Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class TieLibraryObject

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, Traceable

Direct Known Subclasses:
  PublicObject, SchemaObject, SystemObject

public abstract class TieLibraryObject
extends LibraryObject

TieLibraryObject allows the Oracle-defined behavior of the LIBRARYOBJECT classobject (and its subclasses) to be extended or overridden.

See Also:
  `LibraryObject`

Constructor Summary
`protected` | `TieLibraryObject(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a TieLibraryObject.

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Constructor Detail

### TieLibraryObject

    protected TieLibraryObject(LibrarySession session,
                               java.lang.Long id,
                               java.lang.Long classId,
                               S_LibraryObjectData data)
                        throws IfsException

  Constructs a TieLibraryObject.
  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD